<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns:xwaffe-herstellerhaendler="http://www.xwaffe.de/schemata/herstellerhaendler/V2_2/"
           xmlns:xwaffe-kern="http://www.xwaffe.de/schemata/kern/V2_2/"
           targetNamespace="http://www.xwaffe.de/schemata/herstellerhaendler/V2_2/"
           version="2.2"
           elementFormDefault="qualified"
           attributeFormDefault="unqualified">
   <xs:annotation>
      <xs:appinfo>
         <standard>
            <nameLang>XWaffe – Standard für die elektronische Datenübermittlung im deutschen Waffenwesen</nameLang>
            <nameKurz>XWaffe</nameKurz>
            <nameTechnisch>xwaffe</nameTechnisch>
            <kennung>urn:xoev-de:bmi:standard:xwaffe</kennung>
            <beschreibung>Zur Unterstützung der effizienten und wirtschaftlichen Umsetzung durchgehender medienbruchfreier elektronischer Prozesse im deutschen Waffenwesen wird der Standard XWaffe erstellt. Durch Beschluss der IMK und die Aufnahme in das Errichtungsgesetz zum NWR / die einschlägige Verwaltungsvorschriften soll der Standard eine ebenenübergreifende Verbindlichkeit erhalten. In der Version 1.0 des Standards werden die Prozesse der Phase I des Vorhabens "Deutschland Online - Nationales Waffenregister" durch den Standard unterstützt. Der Standard ist in folgenden Versionen für Weiterentwicklungen offen. Denkbar wäre hier die Modellierung weiterer Objekte im Bereich Waffen z.B. im Kontext polizeilicher kriminaltechnologischer Ermittlungen.</beschreibung>
         </standard>
         <versionStandard>
            <version>2.2</version>
            <beschreibung>Zur Unterstützung der effizienten und wirtschaftlichen Umsetzung durchgehender medienbruchfreier elektronischer Prozesse im deutschen Waffenwesen wird der Standard XWaffe erstellt. Durch Beschluss der IMK und die Aufnahme in das Errichtungsgesetz zum NWR / die einschlägige Verwaltungsvorschriften soll der Standard eine ebenenübergreifende Verbindlichkeit erhalten. Der XML-Datenaustauschstandard XWaffe wurde im Zeitraum Dezember 2011 bis April 2012 weiterentwickelt. Schwerpunkt der Weiterentwicklung zur Zwischenversion 1.2.2 waren die Änderungsbedarfe für den Standard XWaffe, die sich im Rahmen der Erarbeitung zum Entwurf eines Gesetzes zur Errichtung eines Nationalen Waffenregisters (NWRG) im Jahr 2011 und den damit verbundenen Abstimmungen mit den Ressorts und den erfolgten Stellungnahmen der Länder ergeben haben. Die Versionen 1.3, 1.4 und 1.4.1 berücksichtigen jeweils Erkenntnisse aus dem Betrieb ab 2012, ab 2013 bzw. ab 2015. Die Version 1.5 betrachtet die technische Aufteilung des Standards in einen allgemeinen Kernbereich (wiederverwendbare Bausteinen innerhalb von XWaffe) sowie den fachlichen Bereich des Nachrichtenaustausch zwischen ÖWS und der Zentralen Komponente . Des Weiteren erfolgte die Abbildung waffenrechtlicher Geschäftsvorfälle der Waffenbehörden im Zusammenspiel von ÖWS und der Zentralen Komponente: insbesondere die Abbildung von Waffenteilen. Ebenso wurden komplexe Nachrichten und die Registrierung statusverändernder Aktivitäten in einem neuen Aktivitätsobjekt ausgestaltet. Die Versionen 1.5.1 und 1.5.2 berücksichtigen Erkenntnisse aus der Umsetzung im Jahr 2017. Der Standard XWaffe wurde mit der Version 2.0 um die Kommunikation der Händler und Hersteller mit der Kopfstelle des NWR erweitert. Zusätzlich wurde die bestehende Kommunikation der ÖWS mit der Zentralen Komponente um die Kommunikation mit der Kopfstelle erweitert. Die Versionen 2.1, 2.1.1 und 2.2 berücksichtigen Erkenntnisse aus der Umsetzung in den Jahren Jahr 2017 und 2018.</beschreibung>
            <versionXOEVProfil>2.1.0_p3</versionXOEVProfil>
            <versionXOEVHandbuch>2.1.0</versionXOEVHandbuch>
            <versionXGenerator>2.6.1</versionXGenerator>
            <versionModellierungswerkzeug>18.0</versionModellierungswerkzeug>
            <nameModellierungswerkzeug>MagicDraw</nameModellierungswerkzeug>
         </versionStandard>
      </xs:appinfo>
   </xs:annotation>
   <xs:include schemaLocation="xwaffe-baukasten-herstellerhaendler.xsd"/>
   <xs:import schemaLocation="xwaffe-baukasten.xsd"
              namespace="http://www.xwaffe.de/schemata/kern/V2_2/"/>
   <xs:element name="pruefung.erlaubnis.ueberlassungsabsicht.1721">
      <xs:annotation>
         <xs:appinfo>
            <autor>IT-Systeme der Inhaber einer Erlaubnis nach §21 Absatz 1 Satz 1 WaffG</autor>
            <leser>Kopfstelle des NWR</leser>
         </xs:appinfo>
         <xs:documentation>Die Meldung der Überlassungsabsicht liefert als Ergebnis Angaben zur Gültigkeit der Erwerbserlaubnis einer potentiellen Erwerbers.</xs:documentation>
      </xs:annotation>
      <xs:complexType>
         <xs:sequence>
            <xs:element name="kopf" type="xwaffe-herstellerhaendler:MeldungskopfType">
               <xs:annotation>
                  <xs:documentation>Der Meldungskopf umfasst allgemeine, technische Eigenschaften einer Nachricht, wie z.B. Erstellungszeitpunkt.</xs:documentation>
               </xs:annotation>
            </xs:element>
            <xs:element name="angabenMeldepflichtiger"
                        type="xwaffe-herstellerhaendler:AngabenMeldepflichtigerType">
               <xs:annotation>
                  <xs:documentation>Angaben zum Meldepflichtigen</xs:documentation>
               </xs:annotation>
            </xs:element>
            <xs:element name="pruefungsdaten"
                        type="xwaffe-kern:AngabenUeberlassungsabsichtType">
               <xs:annotation>
                  <xs:documentation>Die Daten zur Prüfung der Überlassungsabsicht.</xs:documentation>
               </xs:annotation>
            </xs:element>
         </xs:sequence>
      </xs:complexType>
   </xs:element>
</xs:schema>
